# Subscription default get

An action block that gets the default SIM card/subscription for a particular usage.

If the proceed option is set to Immediately, then the currently default subscription is retrieved without pausing the fiber. If set to When changed (Android 8+) then the fiber will pause until the default subscription has changed.

Note! This feature requires Android 5+.

## Options

- Proceed — when the fiber should proceed. When changed requires Android 8+.

## Input arguments

- Usage — the usage of subscription to get the default for, default is Generic.

## Output variables

- Subscription id — variable to assign the id of the default subscription for usage, or `null` if unavailable.
- SIM slot — variable to assign the SIM card slot of the default subscription for usage, or `null` if unavailable. (Android 5.1+)